# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-WebService-Validator-CSS-W3C
Version:        0.2
Release:        alt2_12
Summary:        Interface to the W3C CSS Validator
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/WebService-Validator-CSS-W3C/
Source0:        http://www.cpan.org/authors/id/O/OL/OLIVIERT/WebService/WebService-Validator-CSS-W3C-%{version}.tar.gz
Patch0:         WebService-Validator-CSS-W3C-0.2-rt33039.patch
BuildArch:      noarch
BuildRequires:  perl(Class/Accessor.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(SOAP/Lite.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(URI/QueryParam.pm)
Requires:       perl(Class/Accessor.pm)
Source44: import.info

%description
This module is an interface to the W3C CSS Validation online service 
http://jigsaw.w3.org/css-validator/, based on its SOAP 1.2 support. 
It helps to find errors in Cascading Style Sheets.

%prep
%setup -q -n WebService-Validator-CSS-W3C-%{version}
%patch0 -p1

%{__sed} -i 's/\r//' Changes
%{__sed} -i 's/\r//' README

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_12
- update to new release by fcimport

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_11
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_10
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt2_9
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_9
- fc import

